
#define SDA_PIN 1
#define SCL_PIN 2

#include "Dezibot.h"
#include <Wire.h>

Dezibot::Dezibot() : multiColorLight() {};

void Dezibot::begin(void)
{
    Wire.begin(SDA_PIN, SCL_PIN);
    infraredLight.begin();
    lightDetection.begin();
    motion.begin();
    lightDetection.begin();
    colorDetection.begin();
    multiColorLight.begin();
    display.begin();
    Power.begin();
    this->power = Power::getPowerManager();
    if (!this->power.tryAccquirePowerAllowance(CONSUMPTION_ESP_BASE);)
    {
        throw "Could not allocate power for the base consumption of the ESP32";
    }
};
